<template>
  <div>
    <div v-if="!this.showAnswers">
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Qual a missão da sua empresa?</div>
                </template>
                <small>Questão 1</small><br />
                <span class="h5">Qual a missão da sua empresa?</span>
              </a-tooltip>
              <hr />
              <textarea
                v-model="strategicPlan.question1"
                class="form-control"
              ></textarea>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Qual a visão da sua empresa?</div>
                </template>
                <small>Questão 2</small><br />
                <span class="h5">Qual a visão da sua empresa?</span>
              </a-tooltip>
              <hr />
              <textarea
                v-model="strategicPlan.question2"
                class="form-control"
              ></textarea>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Quais os valores?</div>
                </template>
                <small>Questão 3</small><br />
                <span class="h5">Quais os valores?</span>
              </a-tooltip>
              <hr />
              <textarea
                v-model="strategicPlan.question3"
                class="form-control"
              ></textarea>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card bg-default border-0 shadow-sm mb-3 text-center">
            <div class="card-body">
              <div class="p-5">
                <a-icon type="appstore" class="h1" />
                <br />
                <span class="h5">
                  Agora vamos definir a <br />
                  sua Matriz SWOT/FOFA
                </span>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Forças</div>
                </template>
                <small>Questão 4</small><br />
                <span class="h5">Forças</span>
              </a-tooltip>
              <hr />
              <div class="input-group mb-2">
                <input
                  type="text"
                  class="form-control"
                  v-model="strategicPlanValues.question4Value"
                />
                <div class="input-group-append pl-2 d-flex align-items-center">
                  <a-button
                    type="primary"
                    shape="circle"
                    icon="plus"
                    @click="
                      addItem(
                        strategicPlan.question4,
                        strategicPlanValues.question4Value
                      )
                    "
                  />
                </div>
              </div>
              <a-empty
                :description="false"
                v-if="this.strategicPlan.question4.length === 0"
              />
              <div
                v-else
                v-for="(item, key) in this.strategicPlan.question4"
                :key="key"
                class="row border-bottom pt-1 pb-1"
              >
                <div class="col">
                  {{ item }}
                </div>
                <div class="col-1 d-flex align-items-center">
                  <a-tooltip placement="right">
                    <template slot="title">
                      <div class="text-center">Excluir</div>
                    </template>
                    <a-icon
                      type="close"
                      class="cursor-pointer"
                      @click="removeItem(strategicPlan.question4, item)"
                    />
                  </a-tooltip>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Fraquezas</div>
                </template>
                <small>Questão 5</small><br />
                <span class="h5">Fraquezas</span>
              </a-tooltip>
              <hr />
              <div class="input-group mb-2">
                <input
                  type="text"
                  class="form-control"
                  v-model="strategicPlanValues.question5Value"
                />
                <div class="input-group-append pl-2 d-flex align-items-center">
                  <a-button
                    type="primary"
                    shape="circle"
                    icon="plus"
                    @click="
                      addItem(
                        strategicPlan.question5,
                        strategicPlanValues.question5Value
                      )
                    "
                  />
                </div>
              </div>
              <a-empty
                :description="false"
                v-if="this.strategicPlan.question5.length === 0"
              />
              <div
                v-else
                v-for="(item, key) in this.strategicPlan.question5"
                :key="key"
                class="row border-bottom pt-1 pb-1"
              >
                <div class="col">
                  {{ item }}
                </div>
                <div class="col-1 d-flex align-items-center">
                  <a-tooltip placement="right">
                    <template slot="title">
                      <div class="text-center">Excluir</div>
                    </template>
                    <a-icon
                      type="close"
                      class="cursor-pointer"
                      @click="removeItem(strategicPlan.question5, item)"
                    />
                  </a-tooltip>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Oportunidades</div>
                </template>
                <small>Questão 6</small><br />
                <span class="h5">Oportunidades</span>
              </a-tooltip>
              <hr />
              <div class="input-group mb-2">
                <input
                  type="text"
                  class="form-control"
                  v-model="strategicPlanValues.question6Value"
                />
                <div class="input-group-append pl-2 d-flex align-items-center">
                  <a-button
                    type="primary"
                    shape="circle"
                    icon="plus"
                    @click="
                      addItem(
                        strategicPlan.question6,
                        strategicPlanValues.question6Value
                      )
                    "
                  />
                </div>
              </div>
              <a-empty
                :description="false"
                v-if="this.strategicPlan.question6.length === 0"
              />
              <div
                v-else
                v-for="(item, key) in this.strategicPlan.question6"
                :key="key"
                class="row border-bottom pt-1 pb-1"
              >
                <div class="col">
                  {{ item }}
                </div>
                <div class="col-1 d-flex align-items-center">
                  <a-tooltip placement="right">
                    <template slot="title">
                      <div class="text-center">Excluir</div>
                    </template>
                    <a-icon
                      type="close"
                      class="cursor-pointer"
                      @click="removeItem(strategicPlan.question6, item)"
                    />
                  </a-tooltip>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm mb-3">
            <div class="card-body">
              <a-tooltip placement="right">
                <template slot="title">
                  <div class="text-center">Ameaças</div>
                </template>
                <small>Questão 7</small><br />
                <span class="h5">Ameaças</span>
              </a-tooltip>
              <hr />
              <div class="input-group mb-2">
                <input
                  type="text"
                  class="form-control"
                  v-model="strategicPlanValues.question7Value"
                />
                <div class="input-group-append pl-2 d-flex align-items-center">
                  <a-button
                    type="primary"
                    shape="circle"
                    icon="plus"
                    @click="
                      addItem(
                        strategicPlan.question7,
                        strategicPlanValues.question7Value
                      )
                    "
                  />
                </div>
              </div>
              <a-empty
                :description="false"
                v-if="this.strategicPlan.question7.length === 0"
              />
              <div
                v-else
                v-for="(item, key) in this.strategicPlan.question7"
                :key="key"
                class="row border-bottom pt-1 pb-1"
              >
                <div class="col">
                  {{ item }}
                </div>
                <div class="col-1 d-flex align-items-center">
                  <a-tooltip placement="right">
                    <template slot="title">
                      <div class="text-center">Excluir</div>
                    </template>
                    <a-icon
                      type="close"
                      class="cursor-pointer"
                      @click="removeItem(strategicPlan.question7, item)"
                    />
                  </a-tooltip>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="mt-3 text-center">
        <a-button type="primary" size="large" :loading="loading" @click="final">
          {{ this.loading ? "Computando respostas..." : "Finalizar" }}
        </a-button>
      </div>
    </div>

    <div v-else class="row">
      <div class="col">
        <h5>Respostas</h5>
        <hr />
        <div class="card border-0 shadow-sm mb-3">
          <div class="card-body">
            <div class="row border-bottom">
              <div class="col">
                <small>Questão 1</small>
                <h5 class="m-0">Missão</h5>
                -- {{ strategicPlan.question1 }}
              </div>
            </div>
            <div class="row border-bottom">
              <div class="col">
                <small>Questão 2</small>
                <h5 class="m-0">Visão</h5>
                -- {{ strategicPlan.question2 }}
              </div>
            </div>
            <div class="row border-bottom">
              <div class="col">
                <small>Questão 3</small>
                <h5 class="m-0">Valores</h5>
                -- {{ strategicPlan.question3 }}
              </div>
            </div>
            <div class="row">
              <div class="col">
                <small>Questão 4</small>
                <h5 class="m-0">Matriz SWOT/FOFA</h5>
                <div class="row mt-2">
                  <div class="col">
                    <div class="card border-0">
                      <div class="card-body">
                        <span class="h3">Forças</span>
                        <div
                          v-for="(item, key) in this.strategicPlan.question4"
                          :key="key"
                          class="row border-bottom pt-1 pb-1"
                        >
                          <div class="col">- {{ item }}</div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col bg-default">
                    <div class="card border-0">
                      <div class="card-body bg-default">
                        <span class="h3">Fraquezas</span>
                        <div
                          v-for="(item, key) in this.strategicPlan.question5"
                          :key="key"
                          class="row border-bottom pt-1 pb-1"
                        >
                          <div class="col">- {{ item }}</div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col bg-default">
                    <div class="card border-0">
                      <div class="card-body bg-default">
                        <span class="h3">Oportunidades</span>
                        <div
                          v-for="(item, key) in this.strategicPlan.question6"
                          :key="key"
                          class="row border-bottom pt-1 pb-1"
                        >
                          <div class="col">- {{ item }}</div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col">
                    <div class="card border-0">
                      <div class="card-body">
                        <span class="h3">Ameaças</span>
                        <div
                          v-for="(item, key) in this.strategicPlan.question7"
                          :key="key"
                          class="row border-bottom pt-1 pb-1"
                        >
                          <div class="col">- {{ item }}</div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="mt-4 mb-2 text-center">
                  <a-button
                    type="primary"
                    size="large"
                    :loading="loading"
                    @click="final"
                    >Alterar minhas respostas</a-button
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      loading: false,
      showAnswers: false,
      current: 0,
      strategicPlanValues: {
        question4Value: "",
        question5Value: "",
        question6Value: "",
        question7Value: "",
      },
      strategicPlan: {
        question1: "",
        question2: "",
        question3: "",
        question4: [],
        question5: [],
        question6: [],
        question7: [],
      },
    };
  },
  methods: {
    addItem(question, value) {
      question.push(value);
      this.strategicPlanValues.question4Value = "";
      this.strategicPlanValues.question5Value = "";
      this.strategicPlanValues.question6Value = "";
      this.strategicPlanValues.question7Value = "";
    },
    removeItem(question, value) {
      question.splice(question.indexOf(value), 1);
    },
    final() {
      this.loading = true;
      setTimeout(() => {
        this.loading = false;
        this.showAnswers = !this.showAnswers;
      }, 800);
    },
  },
};
</script>
